% VYKRESLENÍ 

% PPG s driftem
figure;
hold on;
subplot(311)
plot(t,ppg)            %
xlabel('t [s]');ylabel('U [mV]');
title('Graf PPG')
axis tight
hold off
%---
% PPG s detekovanýmí píky
subplot(312)
hold on
plot(t,PPG0);
stem( t(ppgx), max(PPG0)*1.2*ones(1,length(ppgx)), 'g' ); %vykresleni detekovanych poloh
xlabel('t[s]');
ylabel('U[mv]');
title('Graf PPG s odstraněným driftem a s detekovanymi vrcholky')
axis tight
hold off
%---
%HRV
subplot(313)
hold on
plot(xx,PPGs)
title('HRV')
% xlim([0 t(end)]);
xlabel('t [s]');
ylabel('min^-1')
axis tight
hold off
%---
nul=zeros(1,length(t)); %pro zobrazení linie v nule
figure;
hold on
plot(oo,parasymp,'r') %vliv parasymatiku
plot(kk,symp,'g') %vliv sympatiku
plot(xx,vyslANS,'k','LineWidth',2) %rozdíl vlivů
plot(t,nul,':k') %nulová linie
title('Graf vlivů ANS')
xlabel('t[s]')
ylabel('min^-1')
legend('Sympaticus - aktivace','Sympaticus - deaktivace s vlivem parasympaticu', 'Rozdíl vlivů')
axis tight
hold off
